using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp11
{
    class Program
    {
        static long generisi_sve(long a, long b, long c)
        {
            long[] niz = new long[6];
            niz[0] = c * (long)Math.Pow(10, b.ToString().Length + a.ToString().Length) + b * (long)Math.Pow(10, a.ToString().Length) + a;
            niz[1] = b * (long)Math.Pow(10, c.ToString().Length + a.ToString().Length) + c * (long)Math.Pow(10, a.ToString().Length) + a;
            niz[2] = a * (long)Math.Pow(10, b.ToString().Length + c.ToString().Length) + b * (long)Math.Pow(10, c.ToString().Length) + c;
            niz[3] = c * (long)Math.Pow(10, b.ToString().Length + a.ToString().Length) + a * (long)Math.Pow(10, b.ToString().Length) + b;
            niz[4] = b * (long)Math.Pow(10, c.ToString().Length + a.ToString().Length) + a * (long)Math.Pow(10, c.ToString().Length) + c;
            niz[5] = a * (long)Math.Pow(10, c.ToString().Length + b.ToString().Length) + c * (long)Math.Pow(10, b.ToString().Length) + b;
            Array.Sort(niz);
            return niz[5];
        }
        static void Main(string[] args)
        {

            string[] helpniz = Console.ReadLine().Split(' ');
            long A = long.Parse(helpniz[0]);
            long B = long.Parse(helpniz[1]);
            long C = long.Parse(helpniz[2]);
            Console.WriteLine(generisi_sve(A, B, C));   
            Console.ReadLine();

        }
    }
}